OctetStringTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.test

## Class OctetStringTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.asn1.test.OctetStringTest

- All Implemented Interfaces:
    junit.framework.Test

      public class OctetStringTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OctetStringTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testNestedStructure()`
    `void` | `testReadingWriting()`
    `void` | `testReadingWritingNested()`
    `void` | `testReadingWritingZeroInLength()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OctetStringTest

          public OctetStringTest()

  - ### Method Detail

    - #### testReadingWriting

          public void testReadingWriting()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testReadingWritingZeroInLength

          public void testReadingWritingZeroInLength()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testReadingWritingNested

          public void testReadingWritingNested()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNestedStructure

          public void testNestedStructure()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### suite

          public static junit.framework.Test suite()